function $AdfInsertTextBehavior$$($componentId$$9$$, $value$$154$$, $triggerType$$2$$) {
  this.Init($componentId$$9$$, $value$$154$$, $triggerType$$2$$);
}
$goog$exportSymbol$$("AdfInsertTextBehavior", $AdfInsertTextBehavior$$);
$AdfInsertTextBehavior$$.$InitClass$ = function $$AdfInsertTextBehavior$$$$InitClass$$() {
};
$goog$exportSymbol$$("AdfInsertTextBehavior.InitClass", $AdfInsertTextBehavior$$.$InitClass$);
$AdfObject$$.$createSubclass$($AdfInsertTextBehavior$$, $AdfClientBehavior$$);
$AdfInsertTextBehavior$$.prototype.Init = function $$AdfInsertTextBehavior$$$$Init$($componentId$$10$$, $value$$155$$, $triggerType$$3$$) {
  $AdfInsertTextBehavior$$.$superclass$.Init.call(this);
  $AdfAssert$$.$assertString$($componentId$$10$$);
  this.$_componentId$ = $componentId$$10$$;
  this.$_value$ = $value$$155$$;
  this.$_triggerType$ = $triggerType$$3$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfInsertTextBehavior.prototype.Init", {Init:$AdfInsertTextBehavior$$.prototype.Init});
$AdfInsertTextBehavior$$.prototype.$initialize$ = function $$AdfInsertTextBehavior$$$$$initialize$$($component$$256$$) {
  var $triggerType$$4$$ = this.$_triggerType$;
  $triggerType$$4$$ || ($triggerType$$4$$ = $AdfActionEvent$$.$ACTION_EVENT_TYPE$);
  $component$$256$$.addEventListener($triggerType$$4$$, this.$fire$, this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfInsertTextBehavior.prototype.initialize", {$initialize$:$AdfInsertTextBehavior$$.prototype.$initialize$});
$AdfInsertTextBehavior$$.prototype.$fire$ = function $$AdfInsertTextBehavior$$$$$fire$$($component$$inline_562_event$$96_source$$116$$) {
  $component$$inline_562_event$$96_source$$116$$.cancel();
  $component$$inline_562_event$$96_source$$116$$ = $component$$inline_562_event$$96_source$$116$$.getSource();
  var $componentId$$11_peer$$44$$ = this.$_componentId$, $component$$257$$ = $component$$inline_562_event$$96_source$$116$$.$findComponent$($componentId$$11_peer$$44$$), $logger$$2$$ = $AdfLogger$$.$LOGGER$;
  $component$$257$$ ? ($componentId$$11_peer$$44$$ = $component$$257$$.$getPeer$(), $componentId$$11_peer$$44$$.bind($component$$257$$), $componentId$$11_peer$$44$$.$replaceTextSelection$ && ($componentId$$11_peer$$44$$.$replaceTextSelection$(this.$_value$), ($component$$inline_562_event$$96_source$$116$$ = $component$$inline_562_event$$96_source$$116$$.$findComponent$($component$$inline_562_event$$96_source$$116$$.$getClientId$())) && $AdfFocusUtils$$.$focusElement$($AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$inline_562_event$$96_source$$116$$)))) : 
  $logger$$2$$.severe("Could not find component with Id: " + $componentId$$11_peer$$44$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfInsertTextBehavior.prototype.fire", {$fire$:$AdfInsertTextBehavior$$.prototype.$fire$});
